SurfShopCart Documentation

Setting Up Shop Has Never Been Easier!

User Tools

Site Tools


Action disabled: register
minimum_requirements

Minimum Requirements

Our goal was to create a system which will work on ANY UNIX SERVER, under ANY CONFIGURATION, provided you have the following at a minimum.

You need:

* A basic knowledge of HTML, especially forms (but only if you plan to change or add code to your store).

* A computer with Internet access and a 4.0 or later web browser. (SurfShop™ uses JavaScript and Cookies).

* A decompression utility (WinZip, Stuffit Expander, etc.).

* A robust FTP or SFTP program (Transmit, Fetch, WS_FTP, CuteFTP, etc.)

Your website needs:

* Unix-based web hosting account (Linux, Solaris, FreeBSD, BSD, Mac OS X, etc.) that allows the execution of custom CGIs, SMTP mail (sendmail, qmail, etc) and user FTP access with permission-setting privileges. At this time SurfShop™ has not been tested on the Windows platform.

* SSL (Secure Socket Layer) encryption is strongly recommended, but not required.

* Perl 5.8.8 or later.

* To integrate with certain payment processor systems such as PayPal IPN and AuthorizeNet AIM, your web server must have the LWP::UserAgent and Net::SSLeay perl modules installed.

* If you intend to use the MySQL features, your web server must have the perl DBI module and either DBD::mSQL or DBD::mysql modules installed.

Main Page

minimum_requirements.txt · Last modified: 2018/07/03 04:55 (external edit)